﻿using System.Data;
using System.Windows;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 데이터 테이블
        /// </summary>
        private DataTable table;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            this.table = GetTable();

            this.dataGrid.ItemsSource = this.table.DefaultView;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private
        //////////////////////////////////////////////////////////////////////////////// Event

        #region 변경 버튼 클릭시 처리하기 - changeButton_Click(sender, e)

        /// <summary>
        /// 변경 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void changeButton_Click(object sender, RoutedEventArgs e)
        {
            MessageBox.Show(this.table.Rows[dataGrid.SelectedIndex]["Address"].ToString());
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////// Function

        #region 데이터 테이블 구하기 - GetTable()

        /// <summary>
        /// 데이터 테이블 구하기
        /// </summary>
        /// <returns>데이터 테이블</returns>
        private DataTable GetTable()
        {
            DataTable table = new DataTable();

            table.Columns.Add("ID"     );
            table.Columns.Add("Name"   );
            table.Columns.Add("Hobby"  );
            table.Columns.Add("Address");

            table.Rows.Add("1", "홍길동", "등산", "서울시 마포구");
            table.Rows.Add("2", "김철수", "축구", "경기도 성남시");

            return table;
        }

        #endregion
    }
}